Subject: bug#24870: 26.0.50; parse-partial-sexp ignores comment-end

From: [email-masked]
Date: Mon, 23 Jan 2017 19:30:23 -0500

tags 24870 fixed
close 24870 
quit

Alan Mackenzie <[email-masked]> writes:
>
> On Thu, Jan 12, 2017 at 21:07:49 -0500, [email-masked] wrote:
>> [email-masked] writes:
>
>> > Alan Mackenzie <[email-masked]> writes:
>
>> >> (ii) In `parse-partial-sexp-continue-over-comment-marker', variable aftC
>> >> is the position in the middle of the comment closer "*/".  I don't think
>> >> you are testing in any way that element 10 (nil, or the syntax of the
>> >> position just before the end point when that position might be the first
>> >> character of a two-character construct, i.e. an escape or first char of a
>> >> double-char comment delimiter) is correct.
>
>> > My idea was that its effect would be tested by using pps-preC as
>> > OLDSTATE, which avoids having to encode the specifics in the test.  I
>> > added another clause which uses pps-aftC to cover parsing from the
>> > middle of a comment closer as well as opener.
>
>
> I've just had another fairly intensive look at the patches, and I
> agree.

Thanks for the review.

>
> I think it's time to commit these.  What do you say?

Yep, pushed to master [1: 201dfe3].

1: 2017-01-23 19:28:30 -0500 201dfe311868932d10da146808fcdd681948ba53
  Fix comment detection on open parens